#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	xrefresh
Version		:	1.0.6
Release		:	14.4.0.0%{?dist}
Summary		:	Refresh all or part of an X screen
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://www.x.org/pub/individual/app/

Source0		:	%{name}-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	libpng
BuildRequires	:	mesa-devel
BuildRequires	:	xbitmaps
BuildRequires	:	xcb-util
#-----------------------------------------------------------------------------
%description
Xrefresh  is  a simple X program that causes all or part of your screen
to be repainted.  This is useful when system messages  have  messed  up
your  screen.  Xrefresh maps a window on top of the desired area of the
screen and then immediately unmaps it, causing  refresh  events  to  be
sent  to  all applications.  By default, a window with no background is
used, causing all applications to repaint ``smoothly.''   However,  the
various options can be used to indicate that a solid background (of any
color) or the root window background should be used instead.

%prep
%setup -q 

#---------------------------------------------------------
#building application
%build

./configure						\
	$XORG_PREFIX					\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install
	

%files			
%defattr(-,root,root,-)

#%doc COPYING README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz

%pre

#after upgrade or remove
%preun

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

%changelog
